summaryrefslogtreecommitdiffstats
path: root/tests/t9020-alignment.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/t9020-alignment.sh')
-rwxr-xr-xtests/t9020-alignment.sh43
1 files changed, 43 insertions, 0 deletions
diff --git a/tests/t9020-alignment.sh b/tests/t9020-alignment.sh
new file mode 100755
index 0000000..85f6ba8
--- /dev/null
+++ b/tests/t9020-alignment.sh
@@ -0,0 +1,43 @@
+#!/bin/sh
+# verify that new alignment-querying functions work
+
+# Copyright (C) 2009-2014, 2019-2023 Free Software Foundation, Inc.
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+. "${srcdir=.}/init.sh"; path_prepend_ ../parted
+
+require_root_
+require_scsi_debug_module_
+
+grep '^#define USE_BLKID 1' "$CONFIG_HEADER" > /dev/null ||
+ skip_ 'this system lacks a new-enough libblkid'
+
+cat <<EOF > exp || framework_failure
+minimum: 7 8
+optimal: 7 2048
+partition alignment: 0 1
+EOF
+
+# create memory-backed device
+scsi_debug_setup_ physblk_exp=3 lowest_aligned=7 num_parts=4 > dev-name ||
+ skip_ 'failed to create scsi_debug device'
+scsi_dev=$(cat dev-name)
+
+# print alignment info
+../print-align $scsi_dev > out 2>&1 || fail=1
+
+compare exp out || fail=1
+
+Exit $fail